GET /api/client/orders

Every order, newest first, with the review once there is one.

Surface: client. Who may call: client. Key: client.orders.list.

Example request

curl -X GET https://caremcp.com/api/client/orders \
  -H "Authorization: Bearer <session or access token>"

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {}
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "array",
 "items": {
  "type": "object",
  "properties": {
   "id": {
    "type": "string"
   },
   "protocol": {
    "type": "string"
   },
   "professions": {
    "type": "array",
    "items": {
     "type": "string"
    }
   },
   "status": {
    "type": "string",
    "enum": [
     "queued",
     "assigned",
     "reviewed",
     "refused"
    ]
   },
   "screening": {
    "type": "object",
    "properties": {
     "tier": {
      "anyOf": [
       {
        "type": "number",
        "const": 1
       },
       {
        "type": "number",
        "const": 2
       },
       {
        "type": "number",
        "const": 3
       }
      ]
     },
     "flags": {
      "type": "array",
      "items": {
       "type": "string"
      }
     }
    },
    "required": [
     "tier",
     "flags"
    ],
    "additionalProperties": false
   },
   "verdict": {
    "type": "object",
    "properties": {
     "ok": {
      "type": "boolean"
     },
     "kind": {
      "type": "string",
      "enum": [
       "refused",
       "clearance"
      ]
     },
     "reason": {
      "type": "string"
     }
    },
    "required": [
     "ok"
    ],
    "additionalProperties": false
   },
   "professionalId": {
    "type": [
     "string",
     "null"
    ]
   },
   "review": {
    "anyOf": [
     {
      "type": "object",
      "propertyNames": {
       "type": "string"
      },
      "additionalProperties": {
       "type": "object",
       "properties": {
        "markdown": {
         "type": "string"
        }
       },
       "required": [
        "markdown"
       ],
       "additionalProperties": false
      }
     },
     {
      "type": "null"
     }
    ]
   },
   "priceCents": {
    "type": "integer",
    "minimum": -9007199254740991,
    "maximum": 9007199254740991
   },
   "currency": {
    "type": "string",
    "enum": [
     "USD",
     "EUR"
    ]
   },
   "createdAt": {
    "type": "string"
   },
   "claimedAt": {
    "type": [
     "string",
     "null"
    ]
   },
   "reviewedAt": {
    "type": [
     "string",
     "null"
    ]
   }
  },
  "required": [
   "id",
   "protocol",
   "professions",
   "status",
   "screening",
   "verdict",
   "professionalId",
   "review",
   "priceCents",
   "currency",
   "createdAt",
   "claimedAt",
   "reviewedAt"
  ],
  "additionalProperties": false
 }
}